Bug 49687 - 'ReverseMappingCheck' do not work and try to resolve PTR recode when to log in with ssh/slogin
'ReverseMappingCheck' do not work and try to resolve PTR recode when to log i...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: openssh (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Tomas Mraz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-07-23 06:08 EDT by Need Real Name
Modified: 2007-04-18 12:35 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-03 04:47:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-07-23 06:08:49 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux 2.2.18-0vl4.2 i686; ja-JP; 0.7)
Gecko/20010125

Description of problem:
It was very slow when first log in to a linux box with ssh.

How reproducible:
Always

Steps to Reproduce:
It was very slow when first log in to a linux box with ssh.

# tcpdump -evvn -i eth1 '(not port ssh)'

told me the machine tried to look up PTR recode like this:


19:08:06.111363 > 0:0:0:0:0:0 **:**:**:**:**:** ip 85: 192.168.1.11.32768 >
210.188.241.66.domain: 12855+ PTR? 20.1.168.192.in-addr.arpa. (43) (DF)
(ttl 64, id 50829)
19:08:06.131363 < **:**:**:**:**:** 0:0:0:0:0:1 ip 147:
210.188.241.66.domain > 192.168.1.11.32768: 12855 NXDomain q:
20.1.168.192.in-addr.arpa. 0/1/0 (105) (ttl 52, id 57226)

I tried to disable reverse mapping check explicitly with the following command:

# perl -i.bak -pe 's@^#ReverseMappingCheck yes$@ReverseMappingCheck no@'
/etc/ssh/sshd_config

but it found out meaningless. The same packet was sent...


Expected Results:  No reverse mapping check.

Additional info:
Comment 1 Tomas Mraz 2005-02-03 04:47:33 EST
There is now UseDNS option (openssh-3.9p1 in current Fedora Core).

If it still fails, reopen the bug report.

Note You need to log in before you can comment on or make changes to this bug.